{ config, pkgs, ... }:

{
  networking.hostName = "desktop";

  # NVIDIA proprietary drivers
  services.xserver.videoDrivers = [ "nvidia" ];

  hardware.nvidia = {
    modesetting.enable = true;
    open = false;
    nvidiaSettings = true;
  };

  boot.initrd.luks.devices = {
    root = {
      device = "/dev/sda1";
      preLVM = true;
    };
  };

  # Dual display configuration
  services.xserver = {
    screenSection = ''
      Option "metamodes" "HDMI-0: 1920x1080 +0+0, DP-0: 1920x1080 +1920+0"
    '';
  };
}
